# Install igraph.
#
class igraph {

    case $operatingsystem {
        ubuntu: {
            apt::repo { "igraph.ppa.launchpad.net":
                source    => "http://ppa.launchpad.net/igraph/ppa/ubuntu",
                key       => "80C21FC1",
                keyserver => "hkp://keyserver.ubuntu.com",
            }
        }
    }

}


# Install python bindings for igraph.
#
class igraph::python inherits igraph {

    case $operatingsystem {
        ubuntu: {
            package { "python-igraph":
                ensure  => installed,
                require => Apt::Repo["igraph.ppa.launchpad.net"],
            }
        }
    }

}
